
Redmine - Defect #6195

Missing move issues between projects

2010-08-23 19:15 - Marcello Henrique

Status: Closed Start date: 2010-08-23

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.0.2   

Resolution: Fixed Affected version: 1.0.1

Description

Redmine 1.0.1.devel.4035 (MySQL)

Logeed with admin, attached file.

Related issues:

Related to Redmine - Defect #12651: No menu for ticket move? Closed

Has duplicate Redmine - Defect #6391: No move move issue option Closed 2010-09-14

Associated revisions

Revision 4064 - 2010-09-06 02:26 - Eric Davis

Change link_to_if_authorized to allow url paths. (Fixes #6195)

Both url paths (/issues/1234) and params hashes (:controller => 'issues')

are now supported by link_to_if_authorized.  The authorize_for method

requires a controller/action pair so urls need to be parsed against the

routes to find their controller/action.

Revision 4257 - 2010-10-16 01:11 - Eric Davis

Revert part of r4064.

Having link_to_if_authorized support urls has too many edge cases and isn't

working with sub-uris.  #6195 #6513

History

#1 - 2010-08-23 19:54 - Sergey Belov

- File Screen_shot_2010-08-23_at_18.56.46.png added

Did you check settings for "Allow cross-project issue relations" ?

Attached screenshot from settings page (this option is unchecked on screenshot)

#2 - 2010-08-23 20:29 - Marcello Henrique

Verified, two checkboxes marked!

#3 - 2010-08-24 01:55 - Eric Davis

- Assignee deleted (Eric Davis)

Please describe the bug, I don't understand what is missing.

#4 - 2010-08-24 13:13 - Marcello Henrique

- File move_issues_work.png added

- Assignee set to Eric Davis

Ok, Attached now the same issue but reverted to version "Redmine 1.0.0.devel.3923 (MySQL)" in this version "move" and "copy" is ok. The problem

is that new version "Redmine 1.0.1.devel.4035 (MySQL)" is that functions don't appear. I'm highlighting red selected in picture...

Hugs.
#5 - 2010-08-24 16:30 - Paulo Santos

Indeed, I'm having the same problem, the Copy and Move options are now missing on Redmine 1.0.1.

#6 - 2010-08-25 01:50 - Eric Davis

- Assignee deleted (Eric Davis)

Please don't assign me to an issue.

#7 - 2010-08-25 06:10 - Masato Igarashi

- File 0001-refs-6195-Missing-move-issues-between-projects.patch added

Attached a patch for this problem. Please check it out.

#8 - 2010-08-25 13:15 - Paulo Santos

The patch works great, thanks Masato!

It should now be deployed into next version 1.0.2, right?

#9 - 2010-08-25 13:51 - Marcello Henrique

Sorry Eric, you can assign it to roadmap 1.0.2 as patch issue or apply in the code?

Thanks!

#10 - 2010-08-30 16:26 - Mario Scondo

I can confirm that the bugfix is working.

A hint: When trying to move issues assigned to a tracker that is not available for the target project an error is displayed. But there is no

message/reason available why moving failed. Is this working 'as designed'?

#11 - 2010-09-02 10:06 - Anonymous

I can confirm this bug exists for me running 1.0.1. I have permission to move issues however the 'Move' and 'Copy' buttons top-right do not show

when viewing an issue.

#12 - 2010-09-02 17:01 - Jon Lumpkin

I am also having this issue. I did notice it will show up when you right click an issue in the issue list though. I am running 1.0.1.

Using the one in the issues menu worked fine, but was confusing since its missing on the issue page now.

#13 - 2010-09-02 17:14 - Jon Lumpkin

Applied patch and works as expected.

#14 - 2010-09-02 21:04 - Eric Davis

- Status changed from New to 7

- Assignee set to Eric Davis

- Target version set to 1.0.2

- Affected version (unused) set to 1.0.1

- Affected version set to 1.0.1

Masato Igarashi wrote:

Attached a patch for this problem. Please check it out.

 Thanks, but I'm moving Redmine away from using that kind of routing.  This should be fixed in link_to_if_authorized.

#15 - 2010-09-06 02:24 - Eric Davis

- Status changed from 7 to Resolved

- % Done changed from 0 to 100

- Resolution set to Fixed
I've changed link_to_if_authorized to allow url paths.  This will fix the Move and Copy links on the issue page. r4064

#16 - 2010-09-06 03:17 - Eric Davis

- Status changed from Resolved to Closed

Applied in changeset r4064.

#17 - 2010-09-10 02:57 - Eric Davis

- Status changed from Closed to Reopened

Eric Davis wrote:

Applied in changeset r4064.

 The svn comment auto closed this, still needs to be merged for 1.0.2.

#18 - 2010-09-17 06:08 - Eric Davis

- Status changed from Reopened to Resolved

(Wish I could edit the workflows here)

#19 - 2010-09-20 05:51 - Eric Davis

- Status changed from Resolved to Closed

Merged into 1.0-stable for release in 1.0.2

#20 - 2010-10-30 10:20 - Yuri Tarasov

- Assignee deleted (Eric Davis)

We faced with this problem again in 1.0.2.

Can somebody help?

#21 - 2010-10-30 10:33 - Go MAEDA

Yuri Tarasov wrote:

We faced with this problem again in 1.0.2.

Can somebody help?

 Please see #6513.

#22 - 2010-11-04 16:53 - Erik Högstrand

Masato Igarashi wrote:

Attached a patch for this problem. Please check it out.

 I applied that patch on 1.0.2 (local) and it works. It has been applied to trunk, but not to 1.0.2 as stated...

#23 - 2011-01-03 16:21 - Remo Laubacher

Same here, still not merged in 1.0.5.

Can't reopen this issue as it's connected to a closed version.

Any idea how to merge this into the next release?

It's a pity that an already fixed bug is still there..

#24 - 2011-01-11 00:13 - Jean-Baptiste Barth

It has been reverted, see attached revisions (r4257). I think it won't be integrated in a stable branch until we have identified the edge cases, and

especially solved problems raised in related issues..

Files

hide_move_issues.png 92.5 KB 2010-08-23 Marcello Henrique
Screen_shot_2010-08-23_at_18.56.46.png 27.6 KB 2010-08-23 Sergey Belov

move_issues_work.png 110 KB 2010-08-24 Marcello Henrique

0001-refs-6195-Missing-move-issues-between-projects.patch 1.6 KB 2010-08-25 Masato Igarashi
